#!/bin/bash

# add --shared for building shared version
# classes directly on the list are wrapped as well as the jar's

$PYTHON -m jcc \
--use_full_names \
--python orekit \
--version 7.0.0 \
--jar $RECIPE_DIR/orekit-7.0.jar \
--jar $RECIPE_DIR/commons-math3-3.4.1.jar \
--package java.io \
--package java.util \
--package java.text \
java.util.Arrays \
java.util.HashMap \
java.util.HashSet \
java.util.List \
java.util.Locale \
java.util.ArrayList \
java.util.Collection \
java.util.Collections \
java.util.Date \
java.util.Map \
java.util.TreeSet \
java.util.Set \
java.io.StringReader \
java.io.InputStream \
java.io.InputStreamReader \
java.io.PrintStream \
java.io.FileInputStream \
java.lang.System \
java.text.DecimalFormat \
java.text.DecimalFormatSymbols \
--module $RECIPE_DIR/pyhelpers \
--reserved INFINITE \
--reserved ERROR \
--reserved OVERFLOW \
--reserved NO_DATA \
--reserved NAN \
--reserved min \
--reserved max \
--reserved mean \
--build \
--install 

# Add more build steps here, if they are necessary.

# copy documentation
#mkdir -p $PREFIX/doc/orekit
#cp -Rf $RECIPE_DIR/apidocs/* $PREFIX/doc/orekit

# See
# http://docs.continuum.io/conda/build.html
# for a list of environment variables that are set during the build process.
